MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032165Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-25 12:412021-02-27 12:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032165: Visualization - remove obsolete method AIS_InteractiveContext::PurgeViewer()
DescriptionAIS_InteractiveContext::PurgeViewer() doesn't do anything useful and it is proposed for removal.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0025467closedkgv Visualization - Possibility to remove AIS_LocalContext class 

-  Notes
(0099138)
git (administrator)
2021-02-25 12:43

Branch CR32165 has been created by kgv.

SHA-1: 5dd9de50b857b979987acffedaca5c242f00e21e


Detailed log of new commits:

Author: kgv
Date: Thu Feb 25 12:41:51 2021 +0300

    0032165: Visualization - remove obsolete method AIS_InteractiveContext::PurgeViewer()
(0099140)
git (administrator)
2021-02-25 13:52

Branch CR32165 has been updated forcibly by kgv.

SHA-1: 7304c456a3803274dfe0df1401c3652d4bba07df
(0099144)
git (administrator)
2021-02-25 13:59

Branch CR32165 has been updated forcibly by kgv.

SHA-1: 6de2d3d85b90dfc3985362e232245db450a37c59
(0099145)
kgv (developer)
2021-02-25 14:00

Please raise the patch
- OCCT: branch CR32165.
(0099201)
bugmaster (administrator)
2021-02-27 11:50

Combination -
OCCT branch : IR-2021-02-26
master SHA - bc0711a5c3c2c9a627834136e10b13a8564c5a00
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-26 SHA - 5c3782d3621ca4bd4a2339197c1c5cf352b51ac7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17811.770000000153 / 17875.850000000235 [-0.36%]
Products
Total CPU difference: 11543.6500000001 / 11549.600000000113 [-0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 19344.3125 / 19351.640625 [-0.04%]
Products
Total CPU difference: 12900.578125 / 12845.234375 [+0.43%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099209)
git (administrator)
2021-02-27 12:26

Branch CR32165 has been deleted by inv.

SHA-1: 6de2d3d85b90dfc3985362e232245db450a37c59

- Related Changesets
occt: master 53219061
Timestamp: 2021-02-25 09:41:51
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032165: Visualization - remove obsolete method AIS_InteractiveContext::PurgeViewer()
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
rm - tests/bugs/vis/bug2066 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-25 12:41 kgv New Issue
2021-02-25 12:41 kgv Assigned To => kgv
2021-02-25 12:43 git Note Added: 0099138
2021-02-25 12:51 kgv Relationship added child of 0025467
2021-02-25 13:52 git Note Added: 0099140
2021-02-25 13:59 git Note Added: 0099144
2021-02-25 14:00 kgv Note Added: 0099145
2021-02-25 14:00 kgv Assigned To kgv => bugmaster
2021-02-25 14:00 kgv Status new => resolved
2021-02-25 14:00 kgv Status resolved => reviewed
2021-02-27 11:50 bugmaster Note Added: 0099201
2021-02-27 11:50 bugmaster Status reviewed => tested
2021-02-27 11:54 bugmaster Test case number => Not required
2021-02-27 11:59 bugmaster Changeset attached => occt master 53219061
2021-02-27 11:59 bugmaster Status tested => verified
2021-02-27 11:59 bugmaster Resolution open => fixed
2021-02-27 12:26 git Note Added: 0099209


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker